New to Kendo UI for Vue? Start a free 30-day trial

GridToolbar

Represents the GridToolbar component.

  <div id="app">
      <Grid
          :data-items="products"
          :columns="columns">
      <grid-toolbar >
          <button title="Add new" class="k-button k-primary" @click='insert' >
                  Add new
          </button>
          <button v-if="hasItemsInEdit"
              title="Cancel current changes"
              class="k-button"
              @click="cancelChanges">
              Cancel current changes
          </button>
          </grid-toolbar>
      </Grid>
  </div>
<script>
      Vue.component('Grid', Grid);
      Vue.component('grid-toolbar', GridToolbar);
      new Vue({
          el: '#app',
          data: function () {
              return {
                 products: [
                   { 'foo': 'A1', 'bar': 'B1' },
                      { 'foo': 'A2', 'bar': 'B2' },
                      { 'foo': 'A3', 'bar': 'B2' }
                  ],
                  columns: [
                      { field: 'foo'},
                      { field: 'bar'}
                  ]
              };
          }
      });
  </script>

props GridToolbarProps

In this article

Not finding the help you need?

GridToolbar
A subclass of React.Component.
Represents the GridToolbar component.
class App extends React.Component {
state = {
data: [
{'Column1':'A1', 'Column2':'A2'},
{'Column1':'B1', 'Column2':'B2'},
{'Column1':'C1', 'Column2':'C2'}
]
}
customClick = () => {
alert("Custom handler in custom toolbar");
}
render() {
return (
<Grid data={this.state.data}>
<GridToolbar>
<button
title="Click"
className="k-button k-primary"
onClick={this.customClick}
>Click
</button>
</GridToolbar>
</Grid>
);
}
}
ReactDOM.render(
<App />,
document.querySelector('my-app')
);
Name | Type | Default | Description |
---|---|---|---|
props |
| The props of the GridToolbar component. |